
import java.util.Vector;

public class HomeBase implements Consts{
   public int X;
   public int Y;
   public Cell cell;
   public Vector Packages;
   public boolean Checked;

   public HomeBase(int x, int y, Cell vcell) {
      X = x;
      Y = y;
      cell = vcell;
      Packages = new Vector(400,200);
      Checked = false;
   }

   public int IndexOf(int ID)
   {
      DPackage p;
      for (int i = 0; i < Packages.size();i++)
      {
         p = (DPackage) Packages.elementAt(i);
         if (p.ID == ID)
            return i;
      }
      return -1;
   }

   public int Weight()
   {
      DPackage p;
      int totalWeight = -1;
      for (int i = 0; i < Packages.size();i++)
      {
         p = (DPackage) Packages.elementAt(i);
         if (p.Weight != cUnknown)
            totalWeight += p.Weight;
      }
      return totalWeight;
   }


   public void RemoveID(int ID)
   {
      int idx = IndexOf(ID);
      if (idx > -1)
      {
          Packages.removeElementAt(idx);
      }
   }

   public void RemoveLostPackages(int x, int y)
   {
      DPackage p;
      int i = 0;
      while (i < Packages.size())
      {
         p = (DPackage) Packages.elementAt(i);
         if ((p.X == x) &&  (p.Y == y) && p.MightBeGone)
           Packages.removeElementAt(i);
         else
           i++;
      }
   }
}
